import { createGlobalState,useLocalStorage } from '@vueuse/core'
export const authStore = createGlobalState(() => {
    const token=useLocalStorage('token','')
    const RefreshToken=useLocalStorage('RefreshToken','')
    const userInfo=useLocalStorage('userInfo',{})
    const fingerprint=useLocalStorage('fingerprint','')
    const checkoutSessionUrl=useLocalStorage('checkoutSessionUrl','')
    return{
        checkoutSessionUrl,
        userInfo,
        RefreshToken,
        token,
        fingerprint
    }
})